Home

Get box information for a given application.

GET
https://algo.nownodes.io/v2/applications/{application-id}/box

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given an application ID and box name, it returns the round, box name, and value (each base64 encoded). Box names must be in the goal app call arg encoding form 'encoding:value'. For ints, use the form 'int:1234'. For raw bytes, use the form 'b64:A=='. For printable strings, use the form 'str:hello'. For addresses, use the form 'addr:XYZ...'.

Parameters

application-idintegerrequiredpath

An application identifier

namestringrequiredquery

A box name, in the goal app call arg form 'encoding:value'. For ints, use the form 'int:1234'. For raw bytes, use the form 'b64:A=='. For printable strings, use the form 'str:hello'. For addresses, use the form 'addr:XYZ...'.

Response

200OK

Box information

400Bad Request

Bad Request

401Unauthorized

Invalid API Token

404Not Found

Box Not Found

500Internal Server Error

Internal Error

default

Unknown Error